Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


plugin pour les côtes de niveaux et côtes cumulées - Page 2 Empty
Ton bloc notes
Derniers sujets
» [ ARCHICAD ] Zone Internal/External - Nomenclatures
par Coulou Aujourd'hui à 9:04

» [ SKETCHUP tutos ] Extension TRUEBEND- Cintrer (Rouler) - Courber - Arrondir n'importe quelle forme
par jerryvento Hier à 17:13

» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 27 Octobre 2020
par Pilou Dim 25 Juil 2021 - 23:13

» [ SKETCHUP plugins ] Material Browser
par JDD Sam 24 Juil 2021 - 19:47

» [ AUTRES LOGICIELS ] Sketchfab fait désormais partie d'Epic Games
par simjoubert Ven 23 Juil 2021 - 18:06

» [ SKETCHUP tutos ] Dessiner une Toiture, Toit, Pyramide + Fusionner des Groupes : Outil Enveloppe
par jerryvento Ven 23 Juil 2021 - 17:13

» [ SKETCHUP généralité ] Dessiner une Toiture, Toit, Pyramide + Fusionner des Groupes : Outil Enveloppe
par jerryvento Ven 23 Juil 2021 - 15:08

» [ SKETCHUP généralité ] Annonce 3D Warehouse
par jerryvento Ven 23 Juil 2021 - 15:06

» [ SKETCHUP généralité ] Disparition de Certaines Fonctions du menu contextuel
par tenrev Ven 23 Juil 2021 - 13:32

» [ SKETCHUP plugins/Extensions ] TRUEBEND- Cintrer (Rouler) - Courber - Arrondir n'importe quelle forme
par jerryvento Jeu 22 Juil 2021 - 11:26

» [ TWINMOTION ] Nouvelle version 2021.1.3
par Coulou Jeu 22 Juil 2021 - 9:42

» [ ARCHICAD ] Archicad 25
par Coulou Jeu 22 Juil 2021 - 9:30

» [ ENSCAPE ] sortie de la version 3.1
par simjoubert Jeu 22 Juil 2021 - 0:39

» [ AUTRES LOGICIELS ] Expresii : l'aquarelle digitale
par Pilou Lun 19 Juil 2021 - 11:19

» [ SKETCHUP tutos ] Dessiner des emboitures à onglet avec rainures ou languettes pour des portes, des tables...
par jerryvento Lun 19 Juil 2021 - 9:50

» [ SKETCHUP généralité ] Dessiner des emboitures à onglet avec rainures ou languettes pour des portes, tables...
par jerryvento Lun 19 Juil 2021 - 9:49

» [ AUTRES LOGICIELS ] 3D COAT 2021
par tenrev Jeu 15 Juil 2021 - 9:13

» [ ARCHICAD ] Ebrasement oblique sur fenetre ancienne
par Ben3d Mer 14 Juil 2021 - 11:33

» [ ARCHICAD ] Création d'étiquettes personnalisées
par Coulou Mer 14 Juil 2021 - 8:58

» [ SKETCHUP plugins ] Clipping Fix
par Samuel Tallet Mar 13 Juil 2021 - 13:32

» [ ARTLANTIS ] Probléme rendu matériaux
par freroil Mar 13 Juil 2021 - 11:19

» [ PRESENTATION ] Lolool Touraine
par freroil Lun 12 Juil 2021 - 15:24

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Dim 11 Juil 2021 - 0:42

» [ SKETCHUP Layout ] Cotation des Cercles et Congés
par JDD Sam 10 Juil 2021 - 10:03

» [ SKETCHUP généralité ] Problème zoom
par Samuel Tallet Ven 9 Juil 2021 - 19:13

» [ PRESENTATION ] Ben du Luxembourg
par freroil Ven 9 Juil 2021 - 15:56

» [ AUTRES LOGICIELS ] PolyCad : Oh mon bateau! Nurbs (free)
par Pilou Ven 9 Juil 2021 - 1:36

» [ AUTRES LOGICIELS ] Windows 11 pour 2021 ?
par tenrev Jeu 8 Juil 2021 - 20:37

» [ SKETCHUP Layout ] formules automatiques "scènes"
par JDD Jeu 8 Juil 2021 - 14:37

» [SKETCHUP Généralité] Plier n'importe quoi (2ème tuto) avec Radial Bending de l'extension FredoScale de Fredo6
par jerryvento Mer 7 Juil 2021 - 10:32

» [ SKETCHUP tutos ] Plier n'importe quoi (2ème tuto) avec Radial Bending de l'extension FredoScale de Fredo6
par jerryvento Mar 6 Juil 2021 - 15:35

» [ WIP ]Mon petit labo...by ogi
par ogi Mar 6 Juil 2021 - 15:29

» [ SKETCHUP généralité ] Warehouse ne fonctione plus avec SKU 2017 et 2018
par jerryvento Lun 5 Juil 2021 - 11:08

» [ SKETCHUP plugins ] Elimination du Clipping (Ecrêtage) en projection Parallèle
par Pilou Jeu 1 Juil 2021 - 10:27

» [ AUTRES LOGICIELS ] 3D Coat "Learning" gratuit!
par Pilou Mer 30 Juin 2021 - 15:43

plugin pour les côtes de niveaux et côtes cumulées

Page 2 sur 3 Précédent  1, 2, 3  Suivant

Voir le sujet précédent Voir le sujet suivant Aller en bas

tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17951
Points : 30390
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Sam 16 Jan 2010 - 23:02

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:j'ai voulu installer le plungin mais je n'arrive pas.
vous êtes pas gaté avec moi.
alors moi j'ai copier le programme/ouvre les propriétés sketchup/plungins/coller.
mais il ne veut coller.
est ce que je fais bien la manipulation.
merci encore. lire

il faut en fait enregistrer le fichier avec l'extension .rb et ensuite copier ce fichier dans le dossier : sketchup/plungins/

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Lun 18 Jan 2010 - 23:26

salut. c'est cool ça marche vous êtes des craques merci pour le plugin.
peut t'on l'améliorer encore? Si oui, les cotes pourraient t'elles ce coller sur les faces pour qu'elles garde leurs positions lorsque l'on ai amener a tourner le modèle en 3d.
Afin de pouvoir sortir les plans avec les cotes de niveaux sur plusieurs angles différentes. bien bravo1

merci a tous bonne nuit et bonne journée pour d'autre.
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 15:44

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:salut. c'est cool ça marche vous êtes des craques merci pour le plugin.
peut t'on l'améliorer encore? Si oui, les cotes pourraient t'elles ce coller sur les faces pour qu'elles garde leurs positions lorsque l'on ai amener a tourner le modèle en 3d.
Afin de pouvoir sortir les plans avec les cotes de niveaux sur plusieurs angles différentes. bien bravo1

merci a tous bonne nuit et bonne journée pour d'autre.

Salut William
Code:

# cp

    class Outil_cote # Creation de la classe Outil_cote
          def activate
              @clic = Sketchup::InputPoint.new
              @point_central=nil
          end

          def onLButtonUp(flags, x, y, view)
              @clic.pick view, x, y
              pos = @clic.position
              @point_central=pos
              z = @point_central.z
              txt=''
              txt<<z.to_s
              trans = Geom::Transformation.new @point_central
              model=Sketchup.active_model
              mes_entites = model.entities
              ent = mes_entites.add_group()
              gent = ent.entities
              t = gent.add_3d_text (txt, TextAlignLeft, "Arial", true, false, 1.0, 0.0, 0.0, true, 0.0)
              groupe1 = ent.move! trans
              @centre_selec = ent.bounds.center
              @normal_vector = Geom::Vector3d.new (0,0,90)
              @rayon = 4
              @edgearray = mes_entites.add_circle @centre_selec, @normal_vector, @rayon

          end

    end  # fin de la classes Outil_cote
   
    if( not $Outil_cote_loaded )
        plugin_menu = UI.menu("Plugins").add_item("Ajouter une cote") {
       Sketchup.active_model.select_tool Outil_cote.new }
        $Outil_cote_loaded = true
    end

Voila un premier jet, si tu veux faire des essais
Je suis parti du principe que le point zéro en élévation est le point zéro du modèle, on peut envisager par la suite définir le point zéro avec le premier clic.
On peut aussi inserer le cercle et le texte dans un groupe pour eviter une fusion avec la face existante.

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 18:45

La taille du cercle est normalisée ou on l'adapte au texte?
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 44
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Mar 19 Jan 2010 - 19:44

Tros fort c.plassais .....
_Tu va me trouver lourd avec ma question mais je tente quand même :
Pourrais tu m'envoyer ce sript avec quelques commentaires pour tout bien comprendre s'il te plais ?
Car c'est aussi grâce aux posts des autres que l'on apprend langue
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 20:03

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:_Tu va me trouver lourd avec ma question mais je tente quand même :
Pourrais tu m'envoyer ce sript avec quelques commentaires pour tout bien comprendre s'il te plais ?
Car c'est aussi grâce aux posts des autres que l'on apprend langue

Non tu as raison bravo l'intêret d'un forum est justemement là, je viens à nouveau de le modifier
La taille du cercle s'adapte maintenant à la taille du texte, et j'ai fait un groupe de la cote pour la supprimer plus facilement et eviter la fusion du cercle avec la face.
Je rajoute des commentaires et je le met en ligne après le diner bien

@+
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 20:54

Le code modifié

Mesure l'élévation du point cliqué, et ajoute la valeur cerclée à ce dernier
L'élévation est calculée par rapport au point 0 du modèle
La taille du cercle s'adapte à la taille du texte
La cote est crée dans un groupe pour une suppression plus simple et eviter la fusion des entités
Après lecture vous pouvez supprimer les commentaires #....................................

Code:

# cp

    class Outil_cote # Creation de la classe Outil_cote
          def activate
              @clic = Sketchup::InputPoint.new
              @point_central=nil
          end

          def onLButtonUp(flags, x, y, view)      # déclenchement sur relaché du bouton gauche de la souris
              model=Sketchup.active_model
              selection = model.selection.clear  # vide la selection pour eviter de grouper une selection malancontreuse
              mes_entites = model.entities
              mon_groupe = mes_entites.add_group()
              groupe_entites = mon_groupe.entities
              @clic.pick view, x, y              # le point @clic recupere les valeurs du "relaché"
              pos = @clic.position                # determine la postion du point @clic
              @point_central=pos                  # fixe le point_central à la position pos
              z = @point_central.z                # récupere la valeur de l'élévation
              txt=''
              txt<<z.to_s                        # affectation de l'élévation a la variable txt
              trans = Geom::Transformation.new @point_central  # preparation de la tranformation au point_central
              t = groupe_entites.add_3d_text(txt, TextAlignCenter, "Arial", true, false, 1.0, 0.0, 0.0, true, 0.1) # creation du texte 3D à partir de la variable txt et des paramètres modifiables, on peut rajouter une inputbox
              mon_groupe.move! trans              # déplace le groupe par la transformation trans
              model.selection.add mon_groupe      # ajoute le groupe texte à la sélection
              @centre_selec = mon_groupe.bounds.center  # determine le centre du texte pour positionner le cercle
              @normal_vector = Geom::Vector3d.new(0,0,90) # determine le vecteur du cercle
              @diametre = mon_groupe.bounds.diagonal      # determine la longueur de la diagonale du texte
              @edgearray = mes_entites.add_circle @centre_selec, @normal_vector, @diametre/1.8  # creation du cercle au centre du texte, en ajustant le diametre au cercle (diametre/1.8)
              selection = model.selection.add @edgearray        # ajoute le cercle à la sélection (le texte)
              groupe_cote = mes_entites.add_group model.selection  # groupe la sélection (cercle+texte)
             
          end

    end  # fin de la classe Outil_cote
   
    if( not $Outil_cote_loaded )
        plugin_menu = UI.menu("Plugins").add_item("Ajouter une cote") {
       Sketchup.active_model.select_tool Outil_cote.new }
        $Outil_cote_loaded = true
    end

Le code sans les commentaires (pour eviter les problèmes de copier/coller)

Code:

# cp
    class Outil_cote
          def activate
              @clic = Sketchup::InputPoint.new
              @point_central=nil
          end

          def onLButtonUp(flags, x, y, view)
              model=Sketchup.active_model
              selection = model.selection.clear
              mes_entites = model.entities
              mon_groupe = mes_entites.add_group()
              groupe_entites = mon_groupe.entities
              @clic.pick view, x, y
              pos = @clic.position
              @point_central=pos
              z = @point_central.z
              txt=''
              txt<<z.to_s
              trans = Geom::Transformation.new @point_central
              t = groupe_entites.add_3d_text(txt, TextAlignCenter, "Arial", true, false, 1.0, 0.0, 0.0, true, 0.1)
              mon_groupe.move! trans
              model.selection.add mon_groupe
              @centre_selec = mon_groupe.bounds.center
              @normal_vector = Geom::Vector3d.new(0,0,90)
              @diametre = mon_groupe.bounds.diagonal
              @edgearray = mes_entites.add_circle @centre_selec, @normal_vector, @diametre/1.8
              selection = model.selection.add @edgearray
              groupe_cote = mes_entites.add_group model.selection
          end
    end
   
    if( not $Outil_cote_loaded )
        plugin_menu = UI.menu("Plugins").add_item("Ajouter une cote") {
       Sketchup.active_model.select_tool Outil_cote.new }
        $Outil_cote_loaded = true
    end

A tester

@+

Christophe


Dernière édition par c.plassais le Mar 19 Jan 2010 - 20:59, édité 1 fois
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17951
Points : 30390
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Mar 19 Jan 2010 - 20:56

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Je rajoute des commentaires et je le met en ligne après le diner bien @+

repas est ce que le repas t'as inspiré Christophe ? crepes

à plus pain

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 21:02

[Vous devez être inscrit et connecté pour voir ce lien] a écrit: repas est ce que le repas t'as inspiré Christophe ? crepes

à plus pain

Avec la panse pleine je réfléchis largement mieux beret rigole
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Mar 19 Jan 2010 - 21:43

salut a tous.

j'ai essayé de copier le plugin mais je n'y arrive toujours pas.
pour la 1er version que vous avais préparé je n'y arrivais pas non plus alors GA ma donne un coup de pouce. pour m'aider je lui ais demandé de me le mettre dans un dossier et ça la fait niquel.
Si je veux progresser sur sketchup il va falloir que vous m'expliquer comme copier dans le fichier plugin. Pourtant je n'ai pas rencontre ce genre de problème lorsque j'ai télécharcher sur ruby.

pour le cercle c'est vrai que s'il s'adapte ce n'est que mieux.

merci bien pour l'énergie que vous y mettez. negatif
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 21:55

[b][u]william bilcot a écrit:salut a tous[/u][/b].

j'ai essayé de copier le plugin mais je n'y arrive toujours pas.
pour la 1er version que vous avais préparé je n'y arrivais pas non plus alors GA ma donne un coup de pouce. pour m'aider je lui ais demandé de me le mettre dans un dossier et ça la fait niquel.
Si je veux progresser sur sketchup il va falloir que vous m'expliquer comme copier dans le fichier plugin. Pourtant je n'ai pas rencontre ce genre de problème lorsque j'ai télécharcher sur ruby.

pour le cercle c'est vrai que s'il s'adapte ce n'est que mieux.

merci bien pour l'énergie que vous y mettez. negatif

Voila un lien pour le télécharger Arrow ma_cote.rb

Sinon la manip est assez simple,
  1. Tu copies le code de l'encadré, en veillant à bien tout copier
  2. Tu ouvres un editeur de texte du style notepad.
  3. Tu colles ton texte
  4. Tu sauvegardes sous le format .rb et non .txt du style ma_cote.rb.
  5. Tu places ce fichier dans le répertoire plugins de sketchup
  6. Tu redemarres Sketchup


@+
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 44
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Mar 19 Jan 2010 - 21:58

Si je veux progresser sur sketchup il va falloir que vous m'expliquer comme copier dans le fichier plugin.
Alors tu sélectionne tout le code de notre cher c.plassais , tu ouvre ton bloc note windows , tu colle le code dedans puis tu fais fichier>enregistrer sous ( tu choisi ton dossier pluing) >"outil cote" avec l'extention ".rb" se qui te donne "outil cote.rb" et le tour est joué bien
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 44
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Mar 19 Jan 2010 - 21:59

Tu as était plus rapide que moi c.plassais langue
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 19 Jan 2010 - 22:05

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Tu as était plus rapide que moi c.plassais langue

mdr2 mdr2 Ce qui est rassurant ce que les explications sont les mêmes!!!

Ca va pour les commentaires, je les ai fait courts!!!

@+
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 44
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Mar 19 Jan 2010 - 22:06

Après lecture vous pouvez supprimer les commentaires #....................................
Tu es fou sa peux toujours servir , a non moi je le suprime pas , hors de question na ......... rigole
Merci pour tes explications bravo1
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Ven 22 Jan 2010 - 19:50

salut a tous j'ai téléchargé le programme que vous m'avez conseillé et sa marche niquel.
merci c.plassais et GA c'est du super boulot.
peut-on lui donner une police au choix comme les textes et les cotes? bravo
sinon il faut les modifier avec l'outil échelle.
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Ven 22 Jan 2010 - 23:33

salut William

il a été spécialement écrit pour toi nananere nananere

Je te l'ai modifié en rajoutant un petit menu, pour choisir la police, la taille et le coefficient d'extrusion
  1. Les valeurs par défaut sont modifiables tu peux entrer pour la police par exemple Rod, il suffit de consulter les polices disponibles
  2. pour la taille tu peux aussi entrer une taille au choix du style 10.0
  3. de même pour le coefficient d'extrusion par exemple 2.5
  4. on peut aussi jouer sur les paramètres suivants, gras, italique, avec surface,
  5. tu peux aussi de manière plus permanente modifier ces deux lignes Arrow

Code:

liste_val = ["Arial|Tahoma|Calibri|Courier New|Lucida Console", "0.1|0.5|1.0|2.0|3.0|4.0|5.0", "0.0|0.1|0.5|1.0|2.0"]
t = groupe_entites.add_3d_text(txt, TextAlignCenter, @@police, true, false, @@taille, 0.0, 0.0, true, @@extrusion)

Methode référence Arrow add_3d_text

Code du script modifié Arrow
Code:

# cp
    class Outil_cote
          def activate
              @clic = Sketchup::InputPoint.new
              @point_central=nil
              prompts = ["Police", "Taille", "Extrusion"]
            val_defaut = ["Arial", 1.0, 0.0]
            liste_val = ["Arial|Tahoma|Calibri|Courier New|Lucida Console", "0.1|0.5|1.0|2.0|3.0|4.0|5.0", "0.0|0.1|0.5|1.0|2.0"]
            results = UI.inputbox prompts, val_defaut, liste_val, "Parametres"
            return if not results
            @@police, @@taille, @@extrusion = results
          end

          def onLButtonUp(flags, x, y, view)
              model=Sketchup.active_model
              selection = model.selection.clear
              mes_entites = model.entities
              mon_groupe = mes_entites.add_group()
              groupe_entites = mon_groupe.entities
              @clic.pick view, x, y
              pos = @clic.position
              @point_central=pos
              z = @point_central.z
              txt=''
              txt<<z.to_s
              trans = Geom::Transformation.new @point_central
              t = groupe_entites.add_3d_text(txt, TextAlignCenter, @@police, true, false, @@taille, 0.0, 0.0, true, @@extrusion)
              mon_groupe.move! trans
              model.selection.add mon_groupe
              @centre_selec = mon_groupe.bounds.center
              @normal_vector = Geom::Vector3d.new(0,0,90)
              @diametre = mon_groupe.bounds.diagonal
              @edgearray = mes_entites.add_circle @centre_selec, @normal_vector, @diametre/1.8
              selection = model.selection.add @edgearray
              groupe_cote = mes_entites.add_group model.selection
          end
    end
   
    if( not $Outil_cote_loaded )
        plugin_menu = UI.menu("Plugins").add_item("Ajouter une cote") {
       Sketchup.active_model.select_tool Outil_cote.new }
        $Outil_cote_loaded = true
    end

Si tu as toujours des problèmes pour le copier/coller, tu peux le télécharger <<ICI>> Ma_Cote2.0.rb
@ +

Christophe
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17951
Points : 30390
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Sam 23 Jan 2010 - 0:15

Vraiment excellent christophe bravo

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Sam 23 Jan 2010 - 0:36

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Vraiment excellent christophe bravo

Ca occupe sainement bien bien
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Dim 24 Jan 2010 - 19:42

Merci c'est du boulot de chef je vois que rien ne vous arrêtes. en tous cas pour ce plugin je crois qu'il est complet et j'espère qu'il pourra quant même servir à d'autre personne que moi.
bravo
bonne soirée a tous.
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Dim 24 Jan 2010 - 21:57

bien bien

@+

Christophe
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Dim 21 Fév 2010 - 17:24

[Vous devez être inscrit et connecté pour voir cette image]7

salut. je me permet de relancer le plugin de cotes cumuler.
connaissez vous un plugin de ce types ou est-ce réalisable.
je pense que ça serais un plugin qui pourrais alléger les cotations dans le mise en page.
de plus pour ce qui lisse les plans ça serait plus net.
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Jeu 25 Fév 2010 - 20:20

sos sos sos sos sos sos
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Jeu 11 Mar 2010 - 11:22

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:[Vous devez être inscrit et connecté pour voir cette image]7

salut. je me permet de relancer le plugin de cotes cumuler.
connaissez vous un plugin de ce types ou est-ce réalisable.
je pense que ça serais un plugin qui pourrais alléger les cotations dans le mise en page.
de plus pour ce qui lisse les plans ça serait plus net.


Salut William

j'ai fait un peu le tour et je n'ai pas trouvé grand chose, hormis peut-être un plugin de TIG que l'on pourrait adapté
Mais comme je suis un peu long à la detente, il faudrait me dire ce tu attends plus précisement du plugin

@+

Christophe
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Jeu 18 Mar 2010 - 18:33

SALUT, pour le plugin ce que je recherche dans la manipulation de l'outil de cotation ce serait que quand je cote par exemple une dalle bois, je sélectionne extrémités de la première poutre puis je clique sur la suivante et ainsi de suite et c'est là que le plugin me met les cotes cumulés sur la même ligne perpendiculairement.
car aujourd'hui je suis obligé de sélectionné extrémité de ma première poutre puis la suivante et la il faut que je clique de retour sur la première puis les seconde et ainsi de suite, et la les cote son placé parallèle les une au autre ça charge le plans en trait inutile.

voila la base. a+ aurevoir

Page 2 sur 3 Précédent  1, 2, 3  Suivant

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum